All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PHTML::Image Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Image:

## Public Member Functions

| Image (const char *src, int width=0, int height=0, const char *attr=NULL)
| Image (const char *src, const char *alt, int width=0, int height=0, const char *attr=NULL)
virtual | ~Image ()
Public Member Functions inherited from PHTML::Element
virtual | ~Element ()

## Protected Member Functions

virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::ImageElement
| ImageElement (const char *nam, const char *attr, ElementInSet elmt, ElementInSet req, OptionalCRLF opt, const char *image)
virtual | ~ImageElement ()
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const

## Additional Inherited Members

Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }
Protected Attributes inherited from PHTML::ImageElement
const char * | srcString

## Constructor & Destructor Documentation

PHTML::Image::Image | ( | const char * | src,
|  | int | width = `0`,
|  | int | height = `0`,
|  | const char * | attr = `NULL`
| ) |  |

PHTML::Image::Image | ( | const char * | src,
|  | const char * | alt,
|  | int | width = `0`,
|  | int | height = `0`,
|  | const char * | attr = `NULL`
| ) |  |

virtual PHTML::Image::~Image | ( |  | ) |

inline virtual

## Member Function Documentation

virtual void PHTML::Image::AddAttr | ( | PHTML & | html | ) | const

protected virtual

Reimplemented from PHTML::ImageElement.

The documentation for this class was generated from the following file:

- html.h